From 1651a0d15a2e8afe794967c5baa1958718fbd42f Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Thu, 16 Oct 2014 02:51:51 -0400
Subject: [PATCH] [odhcp6c/scripts] directly use signal name

[odhcp6c/scripts] directly use signal name

in proto_dhcp_renew() we call proto_kill_command, which
now supports symbolic names directly, so conversion unneeded.

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 package/network/ipv6/odhcp6c/files/dhcpv6.sh |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/package/network/ipv6/odhcp6c/files/dhcpv6.sh b/package/network/ipv6/odhcp6c/files/dhcpv6.sh
index 5914abe..5637381 100755
--- a/package/network/ipv6/odhcp6c/files/dhcpv6.sh
+++ b/package/network/ipv6/odhcp6c/files/dhcpv6.sh
@@ -83,9 +83,9 @@ proto_dhcpv6_setup() {
 
 proto_dhcpv6_renew() {
 	local interface="$1"
-	# SIGUSR1 forces odhcp6c to renew its lease
-	local sigusr1="$(kill -l SIGUSR1)"
-	[ -n "$sigusr1" ] && proto_kill_command "$interface" $sigusr1
+
+	# forces odhcp6c to renew its lease
+	proto_kill_command "$interface" SIGUSR1
 }
 
 proto_dhcpv6_teardown() {
-- 
1.7.10.4

